Changeset 2890


Ignore:
Timestamp:
Sep 12, 2013 12:21:00 AM (6 years ago)
Author:
tkr
Message:

Re-running autotools

Location:
ThirdParty/SoPlex/trunk
Files:
2 edited

Legend:

Unmodified
Added
Removed
  • ThirdParty/SoPlex/trunk/Makefile.in

    r2703 r2890  
    230230ac_ct_CXX = @ac_ct_CXX@
    231231ac_ct_F77 = @ac_ct_F77@
     232ac_ct_PKG_CONFIG = @ac_ct_PKG_CONFIG@
    232233ac_ct_RANLIB = @ac_ct_RANLIB@
    233234ac_ct_STRIP = @ac_ct_STRIP@
    234235ac_cxx_preproc_warn_flag = @ac_cxx_preproc_warn_flag@
    235 ac_pt_PKG_CONFIG = @ac_pt_PKG_CONFIG@
    236236am__fastdepCC_FALSE = @am__fastdepCC_FALSE@
    237237am__fastdepCC_TRUE = @am__fastdepCC_TRUE@
  • ThirdParty/SoPlex/trunk/configure

    r2658 r2890  
    473473#endif"
    474474
    475 ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS ALWAYS_FALSE_TRUE ALWAYS_FALSE_FALSE have_svnversion SOPLEX_SVN_REV build build_cpu build_vendor build_os CDEFS ADD_CFLAGS DBG_CFLAGS OPT_CFLAGS sol_cc_compiler CC CFLAGS LDFLAGS CPPFLAGS ac_ct_CC EXEEXT OBJEXT COIN_CC_IS_CL_TRUE COIN_CC_IS_CL_FALSE MPICC CXXDEFS ADD_CXXFLAGS DBG_CXXFLAGS OPT_CXXFLAGS CXX CXXFLAGS ac_ct_CXX COIN_CXX_IS_CL_TRUE COIN_CXX_IS_CL_FALSE MPICXX PKG_CONFIG ac_pt_PKG_CONFIG COIN_HAS_PKGCONFIG_TRUE COIN_HAS_PKGCONFIG_FALSE COIN_PKG_CONFIG_PATH COIN_PKG_CONFIG_PATH_UNINSTALLED EGREP LN_S INSTALL_PROGRAM INSTALL_SCRIPT INSTALL_DATA CYGPATH_W PACKAGE VERSION ACLOCAL AUTOCONF AUTOMAKE AUTOHEADER MAKEINFO install_sh STRIP ac_ct_STRIP INSTALL_STRIP_PROGRAM mkdir_p AWK SET_MAKE am__leading_dot AMTAR am__tar am__untar DEPDIR am__include am__quote AMDEP_TRUE AMDEP_FALSE AMDEPBACKSLASH CCDEPMODE am__fastdepCC_TRUE am__fastdepCC_FALSE CXXDEPMODE am__fastdepCXX_TRUE am__fastdepCXX_FALSE MAINTAINER_MODE_TRUE MAINTAINER_MODE_FALSE MAINT LIBTOOLM4 have_autoconf have_automake have_svn BUILDTOOLSDIR AUX_DIR abs_source_dir abs_lib_dir abs_include_dir abs_bin_dir HAVE_EXTERNALS_TRUE HAVE_EXTERNALS_FALSE host host_cpu host_vendor host_os ECHO AR ac_ct_AR RANLIB ac_ct_RANLIB CPP CXXCPP F77 FFLAGS ac_ct_F77 LIBTOOL ac_c_preproc_warn_flag ac_cxx_preproc_warn_flag RPATH_FLAGS LT_LDFLAGS COIN_HAS_ZLIB_TRUE COIN_HAS_ZLIB_FALSE SOPLEX_WITH_GMP_CFLAG SOPLEX_PCLIBS LIBEXT VPATH_DISTCLEANFILES ABSBUILDDIR LIBOBJS LTLIBOBJS'
     475ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS ALWAYS_FALSE_TRUE ALWAYS_FALSE_FALSE have_svnversion SOPLEX_SVN_REV build build_cpu build_vendor build_os CDEFS ADD_CFLAGS DBG_CFLAGS OPT_CFLAGS sol_cc_compiler CC CFLAGS LDFLAGS CPPFLAGS ac_ct_CC EXEEXT OBJEXT COIN_CC_IS_CL_TRUE COIN_CC_IS_CL_FALSE MPICC CXXDEFS ADD_CXXFLAGS DBG_CXXFLAGS OPT_CXXFLAGS CXX CXXFLAGS ac_ct_CXX COIN_CXX_IS_CL_TRUE COIN_CXX_IS_CL_FALSE MPICXX PKG_CONFIG ac_ct_PKG_CONFIG COIN_HAS_PKGCONFIG_TRUE COIN_HAS_PKGCONFIG_FALSE COIN_PKG_CONFIG_PATH COIN_PKG_CONFIG_PATH_UNINSTALLED EGREP LN_S INSTALL_PROGRAM INSTALL_SCRIPT INSTALL_DATA CYGPATH_W PACKAGE VERSION ACLOCAL AUTOCONF AUTOMAKE AUTOHEADER MAKEINFO install_sh STRIP ac_ct_STRIP INSTALL_STRIP_PROGRAM mkdir_p AWK SET_MAKE am__leading_dot AMTAR am__tar am__untar DEPDIR am__include am__quote AMDEP_TRUE AMDEP_FALSE AMDEPBACKSLASH CCDEPMODE am__fastdepCC_TRUE am__fastdepCC_FALSE CXXDEPMODE am__fastdepCXX_TRUE am__fastdepCXX_FALSE MAINTAINER_MODE_TRUE MAINTAINER_MODE_FALSE MAINT LIBTOOLM4 have_autoconf have_automake have_svn BUILDTOOLSDIR AUX_DIR abs_source_dir abs_lib_dir abs_include_dir abs_bin_dir HAVE_EXTERNALS_TRUE HAVE_EXTERNALS_FALSE host host_cpu host_vendor host_os ECHO AR ac_ct_AR RANLIB ac_ct_RANLIB CPP CXXCPP F77 FFLAGS ac_ct_F77 LIBTOOL ac_c_preproc_warn_flag ac_cxx_preproc_warn_flag RPATH_FLAGS LT_LDFLAGS COIN_HAS_ZLIB_TRUE COIN_HAS_ZLIB_FALSE SOPLEX_WITH_GMP_CFLAG SOPLEX_PCLIBS LIBEXT VPATH_DISTCLEANFILES ABSBUILDDIR LIBOBJS LTLIBOBJS'
    476476ac_subst_files=''
    477477
     
    10871087                          icl/link). Default when mentioned: mingw. Default
    10881088                          when not mentioned: disabled.
     1089
    10891090  --disable-pkg-config    disable use of pkg-config (if available)
    10901091  --enable-static[=PKGS]
     
    19291930echo "$as_me: DOS compile style is: $enable_doscompile" >&6;}
    19301931  fi
     1932
     1933
     1934# Check whether --enable-static-standardlibs or --disable-static-standardlibs was given.
     1935if test "${enable_static_standardlibs+set}" = set; then
     1936  enableval="$enable_static_standardlibs"
     1937  case "$enableval" in
     1938     no | yes | auto ) ;;
     1939     *)
     1940       { { echo "$as_me:$LINENO: error: invalid argument for --enable-static-standardlibs: $enableval" >&5
     1941echo "$as_me: error: invalid argument for --enable-static-standardlibs: $enableval" >&2;}
     1942   { (exit 1); exit 1; }; } ;;
     1943   esac
     1944   use_static_standardlibs=$enableval
     1945else
     1946  use_static_standardlibs=no
     1947fi;
     1948
    19311949
    19321950
     
    27712789echo "$as_me: Overruling autoconf; cl does not recognise -g." >&6;}
    27722790    fi ;;
     2791  * )
     2792    CYGPATH_W=echo
     2793    ;;
    27732794esac
    27742795CFLAGS="$save_cflags"
     
    28832904          clang* ) ;;
    28842905          cl* | */cl* | CL* | */CL*)
    2885             coin_opt_cflags='-MT -O2'
     2906            if test "$coin_disable_shared" = yes || test "$enable_shared" = yes ; then
     2907              coin_opt_cflags='-MD -O2'
     2908              coin_dbg_cflags='-MDd'
     2909            else
     2910              coin_opt_cflags='-MT -O2'
     2911              coin_dbg_cflags='-MTd'
     2912            fi
    28862913            coin_add_cflags='-nologo -wd4996 -D_CRT_SECURE_NO_DEPRECATE'
    2887             coin_dbg_cflags='-MTd'
    28882914            ;;
    28892915          icl* | */icl* | ICL* | */ICL*)
    2890             coin_opt_cflags='-MT -Ox'
     2916            if test "$coin_disable_shared" = yes || test "$enable_shared" = yes ; then
     2917              coin_opt_cflags='-MD -Ox'
     2918              coin_dbg_cflags='-MDd -debug'
     2919            else
     2920              coin_opt_cflags='-MT -Ox'
     2921              coin_dbg_cflags='-MTd -debug'
     2922            fi
    28912923            coin_add_cflags='-nologo -D_CRT_SECURE_NO_DEPRECATE'
    2892             coin_dbg_cflags='-MTd -debug'
    28932924            ;;
    28942925        esac
     
    30553086    CFLAGS="$OPT_CFLAGS"
    30563087  fi
     3088
    30573089else
    30583090  CFLAGS="$CFLAGS $ADD_CFLAGS $CDEFS"
     
    32233255esac
    32243256
     3257# check whether to add flags for static linking against standard libraries to LDFLAGS
     3258if test x$use_static_standardlibs != xno ; then
     3259  case $build in
     3260    *-mingw*)
     3261      static_standardlib_flag=-static
     3262      ;;
     3263    *)
     3264      static_standardlib_flag=-static-libgcc
     3265      ;;
     3266  esac
     3267  case " $LDFLAGS " in
     3268    *" $static_standardlib_flag "* ) ;;
     3269    *)
     3270    echo "$as_me:$LINENO: checking whether linking with $static_standardlib_flag works" >&5
     3271echo $ECHO_N "checking whether linking with $static_standardlib_flag works... $ECHO_C" >&6
     3272    coin_save_LDFLAGS="$LDFLAGS"
     3273    LDFLAGS="$LDFLAGS $static_standardlib_flag"
     3274    cat >conftest.$ac_ext <<_ACEOF
     3275/* confdefs.h.  */
     3276_ACEOF
     3277cat confdefs.h >>conftest.$ac_ext
     3278cat >>conftest.$ac_ext <<_ACEOF
     3279/* end confdefs.h.  */
     3280
     3281int
     3282main ()
     3283{
     3284int i=0;
     3285  ;
     3286  return 0;
     3287}
     3288_ACEOF
     3289rm -f conftest.$ac_objext conftest$ac_exeext
     3290if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
     3291  (eval $ac_link) 2>conftest.er1
     3292  ac_status=$?
     3293  grep -v '^ *+' conftest.er1 >conftest.err
     3294  rm -f conftest.er1
     3295  cat conftest.err >&5
     3296  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     3297  (exit $ac_status); } &&
     3298         { ac_try='test -z "$ac_c_werror_flag"
     3299                         || test ! -s conftest.err'
     3300  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     3301  (eval $ac_try) 2>&5
     3302  ac_status=$?
     3303  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     3304  (exit $ac_status); }; } &&
     3305         { ac_try='test -s conftest$ac_exeext'
     3306  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     3307  (eval $ac_try) 2>&5
     3308  ac_status=$?
     3309  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     3310  (exit $ac_status); }; }; then
     3311  echo "$as_me:$LINENO: result: yes" >&5
     3312echo "${ECHO_T}yes" >&6
     3313else
     3314  echo "$as_me: failed program was:" >&5
     3315sed 's/^/| /' conftest.$ac_ext >&5
     3316
     3317echo "$as_me:$LINENO: result: no" >&5
     3318echo "${ECHO_T}no" >&6
     3319       LDFLAGS="$coin_save_LDFLAGS"
     3320       if test $use_static_standardlibs = yes ; then
     3321         { { echo "$as_me:$LINENO: error: failed to link with $static_standardlib_flag" >&5
     3322echo "$as_me: error: failed to link with $static_standardlib_flag" >&2;}
     3323   { (exit 1); exit 1; }; }
     3324       fi
     3325
     3326fi
     3327rm -f conftest.err conftest.$ac_objext \
     3328      conftest$ac_exeext conftest.$ac_ext
     3329    ;;
     3330  esac
     3331fi
     3332
    32253333ac_ext=c
    32263334ac_cpp='$CPP $CPPFLAGS'
     
    32343342
    32353343 #Let's try if that overcomes configuration problem with VC++ 6.0
     3344
    32363345
    32373346ac_ext=cc
     
    37263835echo "$as_me: Overruling autoconf; cl does not recognise -g." >&6;}
    37273836    fi ;;
     3837  * )
     3838    CYGPATH_W=echo
     3839    ;;
    37283840esac
    37293841CXXFLAGS="$save_cxxflags"
     
    38253937          clang* ) ;;
    38263938          cl* | */cl* | CL* | */CL*)
    3827             # The MT and MTd options are mutually exclusive
    3828             coin_opt_cxxflags='-MT -O2'
     3939            # The MT and MTd options are mutually exclusive
     3940            if test "$coin_disable_shared" = yes || test "$enable_shared" = yes ; then
     3941               coin_opt_cxxflags='-MD -O2'
     3942               coin_dbg_cxxflags='-MDd'
     3943            else
     3944               coin_opt_cxxflags='-MT -O2'
     3945               coin_dbg_cxxflags='-MTd'
     3946            fi
    38293947            coin_add_cxxflags='-nologo -EHsc -GR -wd4996 -D_CRT_SECURE_NO_DEPRECATE'
    3830             coin_dbg_cxxflags='-MTd'
    38313948            ;;
    38323949          icl* | */icl* | ICL* | */ICL*)
    3833             # The MT and MTd options are mutually exclusive
    3834             coin_opt_cxxflags='-MT -Ox'
     3950          # The MT and MTd options are mutually exclusive
     3951            if test "$coin_disable_shared" = yes || test "$enable_shared" = yes ; then
     3952              coin_opt_cxxflags='-MD -Ox'
     3953              coin_dbg_cxxflags='-MDd -debug'
     3954            else
     3955              coin_opt_cxxflags='-MT -Ox'
     3956              coin_dbg_cxxflags='-MTd -debug'
     3957            fi
    38353958            coin_add_cxxflags='-nologo -EHsc -GR -D_CRT_SECURE_NO_DEPRECATE'
    3836             coin_dbg_cxxflags='-MTd -debug'
    38373959            ;;
    38383960        esac
     
    41734295esac
    41744296
     4297# check whether to add flag for static linking against standard libraries to LDFLAGS
     4298if test x$use_static_standardlibs != xno ; then
     4299  case $build in
     4300    *-mingw*)
     4301      static_standardlib_flag=-static
     4302      ;;
     4303    *)
     4304      static_standardlib_flag=-static-libstdc++
     4305      ;;
     4306  esac
     4307  case " $LDFLAGS " in
     4308    *" $static_standardlib_flag "* ) ;;
     4309    *)
     4310    echo "$as_me:$LINENO: checking whether linking with $static_standardlib_flag works" >&5
     4311echo $ECHO_N "checking whether linking with $static_standardlib_flag works... $ECHO_C" >&6
     4312    coin_save_LDFLAGS="$LDFLAGS"
     4313    LDFLAGS="$LDFLAGS $static_standardlib_flag"
     4314    cat >conftest.$ac_ext <<_ACEOF
     4315/* confdefs.h.  */
     4316_ACEOF
     4317cat confdefs.h >>conftest.$ac_ext
     4318cat >>conftest.$ac_ext <<_ACEOF
     4319/* end confdefs.h.  */
     4320
     4321int
     4322main ()
     4323{
     4324int i=0;
     4325  ;
     4326  return 0;
     4327}
     4328_ACEOF
     4329rm -f conftest.$ac_objext conftest$ac_exeext
     4330if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
     4331  (eval $ac_link) 2>conftest.er1
     4332  ac_status=$?
     4333  grep -v '^ *+' conftest.er1 >conftest.err
     4334  rm -f conftest.er1
     4335  cat conftest.err >&5
     4336  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     4337  (exit $ac_status); } &&
     4338         { ac_try='test -z "$ac_cxx_werror_flag"
     4339                         || test ! -s conftest.err'
     4340  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     4341  (eval $ac_try) 2>&5
     4342  ac_status=$?
     4343  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     4344  (exit $ac_status); }; } &&
     4345         { ac_try='test -s conftest$ac_exeext'
     4346  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     4347  (eval $ac_try) 2>&5
     4348  ac_status=$?
     4349  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     4350  (exit $ac_status); }; }; then
     4351  echo "$as_me:$LINENO: result: yes" >&5
     4352echo "${ECHO_T}yes" >&6
     4353else
     4354  echo "$as_me: failed program was:" >&5
     4355sed 's/^/| /' conftest.$ac_ext >&5
     4356
     4357echo "$as_me:$LINENO: result: no" >&5
     4358echo "${ECHO_T}no" >&6
     4359       LDFLAGS="$coin_save_LDFLAGS"
     4360       if test $use_static_standardlibs = yes ; then
     4361         { { echo "$as_me:$LINENO: error: failed to link with $static_standardlib_flag" >&5
     4362echo "$as_me: error: failed to link with $static_standardlib_flag" >&2;}
     4363   { (exit 1); exit 1; }; }
     4364       fi
     4365
     4366fi
     4367rm -f conftest.err conftest.$ac_objext \
     4368      conftest$ac_exeext conftest.$ac_ext
     4369    ;;
     4370  esac
     4371fi
     4372
    41754373ac_ext=c
    41764374ac_cpp='$CPP $CPPFLAGS'
     
    41894387  use_pkgconfig="$enableval"
    41904388else
    4191   use_pkgconfig=yes
     4389  if test x$coin_cc_is_cl = xtrue; then
     4390     use_pkgconfig=no
     4391   else
     4392     use_pkgconfig=yes
     4393   fi
    41924394fi;
    41934395
     
    41994401echo "$as_me:$LINENO: checking for $ac_word" >&5
    42004402echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6
    4201 if test "${ac_cv_path_PKG_CONFIG+set}" = set; then
     4403if test "${ac_cv_prog_PKG_CONFIG+set}" = set; then
    42024404  echo $ECHO_N "(cached) $ECHO_C" >&6
    42034405else
    4204   case $PKG_CONFIG in
    4205   [\\/]* | ?:[\\/]*)
    4206   ac_cv_path_PKG_CONFIG="$PKG_CONFIG" # Let the user override the test with a path.
    4207   ;;
    4208   *)
    4209   as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
     4406  if test -n "$PKG_CONFIG"; then
     4407  ac_cv_prog_PKG_CONFIG="$PKG_CONFIG" # Let the user override the test.
     4408else
     4409as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
    42104410for as_dir in $PATH
    42114411do
     
    42144414  for ac_exec_ext in '' $ac_executable_extensions; do
    42154415  if $as_executable_p "$as_dir/$ac_word$ac_exec_ext"; then
    4216     ac_cv_path_PKG_CONFIG="$as_dir/$ac_word$ac_exec_ext"
     4416    ac_cv_prog_PKG_CONFIG="${ac_tool_prefix}pkg-config"
    42174417    echo "$as_me:$LINENO: found $as_dir/$ac_word$ac_exec_ext" >&5
    42184418    break 2
     
    42214421done
    42224422
    4223   ;;
    4224 esac
    4225 fi
    4226 PKG_CONFIG=$ac_cv_path_PKG_CONFIG
    4227 
     4423fi
     4424fi
     4425PKG_CONFIG=$ac_cv_prog_PKG_CONFIG
    42284426if test -n "$PKG_CONFIG"; then
    42294427  echo "$as_me:$LINENO: result: $PKG_CONFIG" >&5
     
    42354433
    42364434fi
    4237 if test -z "$ac_cv_path_PKG_CONFIG"; then
    4238   ac_pt_PKG_CONFIG=$PKG_CONFIG
     4435if test -z "$ac_cv_prog_PKG_CONFIG"; then
     4436  ac_ct_PKG_CONFIG=$PKG_CONFIG
    42394437  # Extract the first word of "pkg-config", so it can be a program name with args.
    42404438set dummy pkg-config; ac_word=$2
    42414439echo "$as_me:$LINENO: checking for $ac_word" >&5
    42424440echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6
    4243 if test "${ac_cv_path_ac_pt_PKG_CONFIG+set}" = set; then
     4441if test "${ac_cv_prog_ac_ct_PKG_CONFIG+set}" = set; then
    42444442  echo $ECHO_N "(cached) $ECHO_C" >&6
    42454443else
    4246   case $ac_pt_PKG_CONFIG in
    4247   [\\/]* | ?:[\\/]*)
    4248   ac_cv_path_ac_pt_PKG_CONFIG="$ac_pt_PKG_CONFIG" # Let the user override the test with a path.
    4249   ;;
    4250   *)
    4251   as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
     4444  if test -n "$ac_ct_PKG_CONFIG"; then
     4445  ac_cv_prog_ac_ct_PKG_CONFIG="$ac_ct_PKG_CONFIG" # Let the user override the test.
     4446else
     4447as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
    42524448for as_dir in $PATH
    42534449do
     
    42564452  for ac_exec_ext in '' $ac_executable_extensions; do
    42574453  if $as_executable_p "$as_dir/$ac_word$ac_exec_ext"; then
    4258     ac_cv_path_ac_pt_PKG_CONFIG="$as_dir/$ac_word$ac_exec_ext"
     4454    ac_cv_prog_ac_ct_PKG_CONFIG="pkg-config"
    42594455    echo "$as_me:$LINENO: found $as_dir/$ac_word$ac_exec_ext" >&5
    42604456    break 2
     
    42634459done
    42644460
    4265   ;;
    4266 esac
    4267 fi
    4268 ac_pt_PKG_CONFIG=$ac_cv_path_ac_pt_PKG_CONFIG
    4269 
    4270 if test -n "$ac_pt_PKG_CONFIG"; then
    4271   echo "$as_me:$LINENO: result: $ac_pt_PKG_CONFIG" >&5
    4272 echo "${ECHO_T}$ac_pt_PKG_CONFIG" >&6
     4461fi
     4462fi
     4463ac_ct_PKG_CONFIG=$ac_cv_prog_ac_ct_PKG_CONFIG
     4464if test -n "$ac_ct_PKG_CONFIG"; then
     4465  echo "$as_me:$LINENO: result: $ac_ct_PKG_CONFIG" >&5
     4466echo "${ECHO_T}$ac_ct_PKG_CONFIG" >&6
    42734467else
    42744468  echo "$as_me:$LINENO: result: no" >&5
     
    42764470fi
    42774471
    4278   PKG_CONFIG=$ac_pt_PKG_CONFIG
    4279 else
    4280   PKG_CONFIG="$ac_cv_path_PKG_CONFIG"
     4472  PKG_CONFIG=$ac_ct_PKG_CONFIG
     4473else
     4474  PKG_CONFIG="$ac_cv_prog_PKG_CONFIG"
    42814475fi
    42824476
     
    43904584# START
    43914585
     4586coin_disable_shared=no
    43924587# Test if force_shared has been set
    43934588if test "x" = xforce_shared; then
     
    44014596  # On Cygwin and AIX, building DLLs doesn't work
    44024597  case $build in
    4403     *-cygwin*)
     4598    *-cygwin* | *-mingw*)
    44044599      coin_disable_shared=yes
    4405       platform=Cygwin
     4600      if test x"$enable_shared" = xyes; then
     4601        case "$CXX" in
     4602          clang* )
     4603            { echo "$as_me:$LINENO: WARNING: DLL building not supported. I'm disabling your choice." >&5
     4604echo "$as_me: WARNING: DLL building not supported. I'm disabling your choice." >&2;}
     4605            ;;
     4606          cl* | */cl* | CL* | */CL* | icl* | */icl* | ICL* | */ICL*)
     4607            { echo "$as_me:$LINENO: WARNING: DLL building not supported. I'm disabling your choice, but will build with -MD(d) instead of -MT(d)." >&5
     4608echo "$as_me: WARNING: DLL building not supported. I'm disabling your choice, but will build with -MD(d) instead of -MT(d)." >&2;}
     4609            ;;
     4610          *)
     4611            { echo "$as_me:$LINENO: WARNING: DLL building not supported. I'm disabling your choice." >&5
     4612echo "$as_me: WARNING: DLL building not supported. I'm disabling your choice." >&2;}
     4613            ;;
     4614        esac
     4615      fi
    44064616    ;;
    44074617    *-aix*)
    44084618      coin_disable_shared=yes
    44094619      platform=AIX
    4410     ;;
    4411     *-mingw*)
    4412       coin_disable_shared=yes
    4413       platform="Msys"
    4414 #      case "$CXX" in
    4415 #        cl*)
    4416 #          coin_disable_shared=yes
    4417 #          platform="Msys with cl"
    4418 #      ;;
    4419 #      esac
     4620      if test x"$enable_shared" = xyes; then
     4621        { echo "$as_me:$LINENO: WARNING: Shared objects are not supported. I'm disabling your choice." >&5
     4622echo "$as_me: WARNING: Shared objects are not supported. I'm disabling your choice." >&2;}
     4623      fi
    44204624    ;;
    44214625  esac
     
    44234627if test x"$coin_disable_shared" = xyes; then
    44244628  if test x"$enable_shared" = xyes; then
    4425     { echo "$as_me:$LINENO: WARNING: On $platform, shared objects are not supported. I'm disabling your choice." >&5
    4426 echo "$as_me: WARNING: On $platform, shared objects are not supported. I'm disabling your choice." >&2;}
     4629    :
     4630  else
     4631    # we don't disable shared, because it was not selected anyway
     4632    coin_disable_shared=no
    44274633  fi
    44284634  enable_shared=no
     
    61316337*-*-irix6*)
    61326338  # Find out which ABI we are using.
    6133   echo '#line 6133 "configure"' > conftest.$ac_ext
     6339  echo '#line 6339 "configure"' > conftest.$ac_ext
    61346340  if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
    61356341  (eval $ac_compile) 2>&5
     
    72657471
    72667472# Provide some information about the compiler.
    7267 echo "$as_me:7267:" \
     7473echo "$as_me:7473:" \
    72687474     "checking for Fortran 77 compiler version" >&5
    72697475ac_compiler=`set X $ac_compile; echo $2`
     
    83328538   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    83338539   -e 's:$: $lt_compiler_flag:'`
    8334    (eval echo "\"\$as_me:8334: $lt_compile\"" >&5)
     8540   (eval echo "\"\$as_me:8540: $lt_compile\"" >&5)
    83358541   (eval "$lt_compile" 2>conftest.err)
    83368542   ac_status=$?
    83378543   cat conftest.err >&5
    8338    echo "$as_me:8338: \$? = $ac_status" >&5
     8544   echo "$as_me:8544: \$? = $ac_status" >&5
    83398545   if (exit $ac_status) && test -s "$ac_outfile"; then
    83408546     # The compiler can only warn and ignore the option if not recognized
     
    86008806   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    86018807   -e 's:$: $lt_compiler_flag:'`
    8602    (eval echo "\"\$as_me:8602: $lt_compile\"" >&5)
     8808   (eval echo "\"\$as_me:8808: $lt_compile\"" >&5)
    86038809   (eval "$lt_compile" 2>conftest.err)
    86048810   ac_status=$?
    86058811   cat conftest.err >&5
    8606    echo "$as_me:8606: \$? = $ac_status" >&5
     8812   echo "$as_me:8812: \$? = $ac_status" >&5
    86078813   if (exit $ac_status) && test -s "$ac_outfile"; then
    86088814     # The compiler can only warn and ignore the option if not recognized
     
    87048910   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    87058911   -e 's:$: $lt_compiler_flag:'`
    8706    (eval echo "\"\$as_me:8706: $lt_compile\"" >&5)
     8912   (eval echo "\"\$as_me:8912: $lt_compile\"" >&5)
    87078913   (eval "$lt_compile" 2>out/conftest.err)
    87088914   ac_status=$?
    87098915   cat out/conftest.err >&5
    8710    echo "$as_me:8710: \$? = $ac_status" >&5
     8916   echo "$as_me:8916: \$? = $ac_status" >&5
    87118917   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    87128918   then
     
    1104911255  lt_status=$lt_dlunknown
    1105011256  cat > conftest.$ac_ext <<EOF
    11051 #line 11051 "configure"
     11257#line 11257 "configure"
    1105211258#include "confdefs.h"
    1105311259
     
    1114911355  lt_status=$lt_dlunknown
    1115011356  cat > conftest.$ac_ext <<EOF
    11151 #line 11151 "configure"
     11357#line 11357 "configure"
    1115211358#include "confdefs.h"
    1115311359
     
    1349313699   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1349413700   -e 's:$: $lt_compiler_flag:'`
    13495    (eval echo "\"\$as_me:13495: $lt_compile\"" >&5)
     13701   (eval echo "\"\$as_me:13701: $lt_compile\"" >&5)
    1349613702   (eval "$lt_compile" 2>conftest.err)
    1349713703   ac_status=$?
    1349813704   cat conftest.err >&5
    13499    echo "$as_me:13499: \$? = $ac_status" >&5
     13705   echo "$as_me:13705: \$? = $ac_status" >&5
    1350013706   if (exit $ac_status) && test -s "$ac_outfile"; then
    1350113707     # The compiler can only warn and ignore the option if not recognized
     
    1359713803   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1359813804   -e 's:$: $lt_compiler_flag:'`
    13599    (eval echo "\"\$as_me:13599: $lt_compile\"" >&5)
     13805   (eval echo "\"\$as_me:13805: $lt_compile\"" >&5)
    1360013806   (eval "$lt_compile" 2>out/conftest.err)
    1360113807   ac_status=$?
    1360213808   cat out/conftest.err >&5
    13603    echo "$as_me:13603: \$? = $ac_status" >&5
     13809   echo "$as_me:13809: \$? = $ac_status" >&5
    1360413810   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1360513811   then
     
    1516715373   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1516815374   -e 's:$: $lt_compiler_flag:'`
    15169    (eval echo "\"\$as_me:15169: $lt_compile\"" >&5)
     15375   (eval echo "\"\$as_me:15375: $lt_compile\"" >&5)
    1517015376   (eval "$lt_compile" 2>conftest.err)
    1517115377   ac_status=$?
    1517215378   cat conftest.err >&5
    15173    echo "$as_me:15173: \$? = $ac_status" >&5
     15379   echo "$as_me:15379: \$? = $ac_status" >&5
    1517415380   if (exit $ac_status) && test -s "$ac_outfile"; then
    1517515381     # The compiler can only warn and ignore the option if not recognized
     
    1527115477   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1527215478   -e 's:$: $lt_compiler_flag:'`
    15273    (eval echo "\"\$as_me:15273: $lt_compile\"" >&5)
     15479   (eval echo "\"\$as_me:15479: $lt_compile\"" >&5)
    1527415480   (eval "$lt_compile" 2>out/conftest.err)
    1527515481   ac_status=$?
    1527615482   cat out/conftest.err >&5
    15277    echo "$as_me:15277: \$? = $ac_status" >&5
     15483   echo "$as_me:15483: \$? = $ac_status" >&5
    1527815484   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1527915485   then
     
    1747817684   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1747917685   -e 's:$: $lt_compiler_flag:'`
    17480    (eval echo "\"\$as_me:17480: $lt_compile\"" >&5)
     17686   (eval echo "\"\$as_me:17686: $lt_compile\"" >&5)
    1748117687   (eval "$lt_compile" 2>conftest.err)
    1748217688   ac_status=$?
    1748317689   cat conftest.err >&5
    17484    echo "$as_me:17484: \$? = $ac_status" >&5
     17690   echo "$as_me:17690: \$? = $ac_status" >&5
    1748517691   if (exit $ac_status) && test -s "$ac_outfile"; then
    1748617692     # The compiler can only warn and ignore the option if not recognized
     
    1774617952   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1774717953   -e 's:$: $lt_compiler_flag:'`
    17748    (eval echo "\"\$as_me:17748: $lt_compile\"" >&5)
     17954   (eval echo "\"\$as_me:17954: $lt_compile\"" >&5)
    1774917955   (eval "$lt_compile" 2>conftest.err)
    1775017956   ac_status=$?
    1775117957   cat conftest.err >&5
    17752    echo "$as_me:17752: \$? = $ac_status" >&5
     17958   echo "$as_me:17958: \$? = $ac_status" >&5
    1775317959   if (exit $ac_status) && test -s "$ac_outfile"; then
    1775417960     # The compiler can only warn and ignore the option if not recognized
     
    1785018056   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1785118057   -e 's:$: $lt_compiler_flag:'`
    17852    (eval echo "\"\$as_me:17852: $lt_compile\"" >&5)
     18058   (eval echo "\"\$as_me:18058: $lt_compile\"" >&5)
    1785318059   (eval "$lt_compile" 2>out/conftest.err)
    1785418060   ac_status=$?
    1785518061   cat out/conftest.err >&5
    17856    echo "$as_me:17856: \$? = $ac_status" >&5
     18062   echo "$as_me:18062: \$? = $ac_status" >&5
    1785718063   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1785818064   then
     
    2060820814          -e 's%lib /OUT:%lib -OUT:%' \
    2060920815          -e "s%cygpath -w%$CYGPATH_W%" \
    20610           -e 's%$AR x \\$f_ex_an_ar_oldlib%bla=\\`lib -nologo -list \\$f_ex_an_ar_oldlib | xargs echo '"$mydos2unix"'\\`; echo \\$bla; for i in \\$bla; do lib -nologo -extract:\\$i \\$f_ex_an_ar_oldlib; done%' \
    20611           -e 's/$AR t/lib -nologo -list/' \
     20816          -e 's%$AR x \\$f_ex_an_ar_oldlib%bla=\\$(lib -nologo -list \\$('"$CYGPATH_W \$1"') '"$mydos2unix"' | xargs echo); echo \\$bla; for i in \\$bla; do lib -nologo -extract:\\$i \\$('"$CYGPATH_W \$1"'); done%' \
     20817          -e 's%$AR t "$f_ex_an_ar_oldlib"%lib -nologo -list \$('"$CYGPATH_W \$1"') '"$mydos2unix"'%' \
    2061220818          -e 's%f_ex_an_ar_oldlib="\($?*1*\)"%f_ex_an_ar_oldlib='\`"$CYGPATH_W"' \1`%' \
    2061320819          -e 's%^archive_cmds=.*%archive_cmds="\\$CC -o \\$lib \\$libobjs \\$compiler_flags \\\\\\`echo \\\\\\"\\$deplibs\\\\\\" | \\$SED -e '"\'"'s/ -lc\\$//'"\'"'\\\\\\` -link -dll~linknames="%' \
     
    2217422380s,@MPICXX@,$MPICXX,;t t
    2217522381s,@PKG_CONFIG@,$PKG_CONFIG,;t t
    22176 s,@ac_pt_PKG_CONFIG@,$ac_pt_PKG_CONFIG,;t t
     22382s,@ac_ct_PKG_CONFIG@,$ac_ct_PKG_CONFIG,;t t
    2217722383s,@COIN_HAS_PKGCONFIG_TRUE@,$COIN_HAS_PKGCONFIG_TRUE,;t t
    2217822384s,@COIN_HAS_PKGCONFIG_FALSE@,$COIN_HAS_PKGCONFIG_FALSE,;t t
Note: See TracChangeset for help on using the changeset viewer.